# uoTES.js - コンパイラ
uoTES.jsのコンパイラです。  
TESスクリプトファイルから、ツクールイベントデータのJSONファイルを生成します。  

## uoTES.jsについて
下記リンクを参照してください。  
https://github.com/RaTTiE/uotes-core

## 使い方
npm経由でグローバルインストールすることで、tescコマンドが利用可能になります。

```
tesc [options] <file ...>
```

### オプション

- -h, --help: ヘルプを表示します。
- -V, --version: バージョン情報を表示します。
- -m, --modules &lt;modules&gt;: 使用するモジュールを指定します。  
  モジュールは"uotes-module-xx"の形式で作成されたnodeモジュールで、あらかじめグローバルインストールされている必要があります。"uotes-module-"以降の名称を指定してください。  
  カンマ区切りで複数のモジュールを指定することができます。  
  オプション省略時はmvモジュールを読み込みます(インストール不要)。
- -r, --replacer &lt;replacer&gt;: テキスト置換用のファイルを指定します。  
  ファイルはTES従来のテキストファイルと、変換前の正規表現文字列をキー、変更後の文字列を値としたオブジェクト配列のJSONファイルのいずれかを指定可能です。
- -i, -in &lt;indir&gt;: ファイルを読み込むディレクトリを指定します。省略時はカレントディレクトリが使用されます。
- -o, -out &lt;outdir&gt;: ファイルを書き出すディレクトリを指定します。省略時はカレントディレクトリが使用されます。

## 使用ライブラリ
このプログラムには以下のライブラリが使用されています。

* Node.js(MIT License)  
https://nodejs.org/

* chalk(MIT License)  
https://github.com/chalk/chalk

* commander.js(MIT License)  
https://github.com/tj/commander.js/

* fs-extra(MIT License)  
https://github.com/jprichardson/node-fs-extra

* os-locale(MIT License)  
https://github.com/sindresorhus/os-locale

## ライセンス
The MIT License (MIT)

[![NPM](https://nodei.co/npm/uotes-compiler.png?compact=true)](https://nodei.co/npm/uotes-compiler/)
